If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

[RTL][Settings]The texts are overlapped at Fixed Dialing Numbers view.

RESOLVED WORKSFORME

Status

Firefox OS
Gaia::Settings
P3
normal
RESOLVED WORKSFORME
3 years ago
2 years ago

People

(Reporter: Sue, Unassigned)

Tracking

({polish})

unspecified
ARM
Gonk (Firefox OS)
polish

Firefox Tracking Flags

(b2g-v2.2 affected, b2g-master affected)

Details

Attachments

(1 attachment)

(Reporter)

Description

3 years ago
Created attachment 8593248 [details]
FDN_overlap.png

[1.Description]:
[RTL][Flame v2.2 & v3.0][Settings]The text in first line is overlapped with the text in second line at Fixed Dialing Numbers view.
See attachment:FDN_overlap.png

[2.Testing Steps]: 
Prerequisite: Insert a SIM card.
1. Set system language as Arabic.
2. Launch Settings -> Call Settings.
3. Tap on SIM 1 or SIM 2 -> Fixed Dialing Numbers.
4. Observe the texts in this view.

[3.Expected Result]: 
4. The texts should be displayed clearly and nothing should overlap.

[4.Actual Result]: 
4. The texts are overlapped.

[5.Reproduction build]: 
Device: Flame 2.2 (affected)
Build ID               20150415162504
Gaia Revision          89a94a8b9c9087da916751697a61ba15bc0688c3
Gaia Date              2015-04-15 20:05:38
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/20e92b626530
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150415.201243
Firmware Date          Wed Apr 15 20:12:52 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0 (affected)
Build ID               20150415160205
Gaia Revision          777d01f4a2c7b41c4b02e3cf87715714ccc0590b
Gaia Date              2015-04-15 17:20:09
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/53ceefb0e1c8
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150415.192055
Firmware Date          Wed Apr 15 19:21:04 EDT 2015
Bootloader             L1TC000118D0

Device: Nexus 5 2.2 (unaffected)
Build ID               20150415162504
Gaia Revision          89a94a8b9c9087da916751697a61ba15bc0688c3
Gaia Date              2015-04-15 20:05:38
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/20e92b626530
Gecko Version          37.0
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150415.200855
Firmware Date          Wed Apr 15 20:09:09 EDT 2015
Bootloader             HHZ12f

Device: Nexus 5 3.0 (unaffected)
Build ID               20150415160205
Gaia Revision          777d01f4a2c7b41c4b02e3cf87715714ccc0590b
Gaia Date              2015-04-15 17:20:09
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/53ceefb0e1c8
Gecko Version          40.0a1
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150415.192113
Firmware Date          Wed Apr 15 19:21:33 EDT 2015
Bootloader             HHZ12f

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test
(Reporter)

Updated

3 years ago
QA Whiteboard: [rtl-impact]
status-b2g-v2.2: --- → affected
status-b2g-master: --- → affected
Triage: P3 -- polish.
Keywords: polish
Priority: -- → P3
QA Whiteboard: [rtl-impact] → [rtl-impact][MGSEI-Triage+]
This issue cannot be reproduced on latest build of FlameKK2.2, FlameKK2.5, AriesKK2.5.
Rate:5/5
Device: FlameKK 2.2
Build ID               20150816032505
Gaia Revision          335cd8e79c20f8d8e93a6efc9b97cc0ec17b5a46
Gaia Date              2015-08-14 19:06:41
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/82ec88fa015c
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150816.070759
Firmware Date          Sun Aug 16 07:08:10 EDT 2015
Bootloader             L1TC000118D0

Device: FlameKK2.5
Build ID               20150816150205
Gaia Revision          47c91ffe7f500ca1aaa60de0aabf4d2429120733
Gaia Date              2015-08-14 18:55:02
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/0876695d1abdeb363a780bda8b6cc84f20ba51c9
Gecko Version          43.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150816.182145
Firmware Date          Sun Aug 16 18:21:56 EDT 2015
Bootloader             L1TC000118D0

Device: AriesKK 2.5
Build ID               20150814002719
Gaia Revision          39b121515ab8a8c3ea07f26d3ba1dd792e90217c
Gaia Date              2015-08-13 18:25:42
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/4e883591bb5dff021c108d3e30198a99547eed1e
Gecko Version          43.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150813.235024
Firmware Date          Thu Aug 13 23:50:32 UTC 2015
Bootloader             s1
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → WORKSFORME
update: Rate:5/5 ---> Rate:0/5
You need to log in before you can comment on or make changes to this bug.